#Homework 8, Stat 484
#6/09/22
#Mike Zanotti

################################################################
#Problem 1

#Find (or invent) some data (not from the "Data" directory supplied with EssentialR) and import it into R. (It is not a bad idea to include a commented line with units for each variable in your .txt or.csv file). 

my.data1<-read.csv("~/Dropbox/R_Class/EssentialR/Data/BeansData.csv", header = TRUE, sep=",", quote="", dec=".", stringsAsFactors = TRUE ,row.names=NULL,comment.char = "#")
names(my.data1)
dim(my.data1)
summary(my.data1)
str(my.data1)
head(my.data1)

#a) What did you have to do to "clean it up" so it would read in? 
#Answer:
#when i copied & pasted the file path in, I initially received the following error:
#Error: '\U' used without hex digits in character string starting ""C:\U".
#To correct this I essentially changed the (\) character to (/) as the file paths all had (/) in the text examples, after which that addition it read the file in. 
#My data initially had the % sign under the yield column and it read in as a Factor w/ 8 levels instead of an int"num". I had to go into the excel file & change the yield column setting from "percentage" to "number". Once I did that it read in the yield as a "num"

#b) Are you satisfied with the console output of summary(yourdata)? Did all the variables import in the way (format) you thought they should? c) Include the output of summary(yourdata) and head(yourdata).
#Yes, once I cleaned up the excel file, I was able to successfully read in the data in the format I was hoping for. 

summary(my.data1)
#Answer:
#    ?..run.        tank         yield....              date   
#Min.   : 1   Min.   :261.0   Min.   :0.1000   1/1/2022  : 1  
#1st Qu.: 6   1st Qu.:265.0   1st Qu.:0.1100   1/15/2022 : 1  
#Median :11   Median :268.0   Median :0.1510   1/30/2022 : 1  
#Mean   :11   Mean   :266.9   Mean   :0.1482   10/12/2022: 1  
#3rd Qu.:16   3rd Qu.:269.0   3rd Qu.:0.1820   10/27/2022: 1  
#Max.   :21   Max.   :270.0   Max.   :0.1920   2/14/2022 : 1  
#(Other)   :15  

head(my.data1)
#Answer:
#  ?..run. tank yield....      date
#1       1  261     0.192  1/1/2022
#2       2  262     0.110 1/15/2022
#3       3  261     0.108 1/30/2022
#4       4  265     0.101 2/14/2022
#5       5  268     0.173  3/1/2022
#6       6  269     0.109 3/16/2022



################################################################
#Problem 2

#The spreadsheet "StatesData.xls" located in the Data directory in your EssentialR folder contains some (old) data about the 50 US states, and includes a plot with a regression line. Clean this data up and import it into R. 

my.data2<-read.csv("StatesData.csv", header = TRUE, sep=",", quote="", dec=".", stringsAsFactors = TRUE )
names(my.data2)
dim(my.data2)
summary(my.data2)
str(my.data2)

#This is the file path using the current working directory
#"C:/Users/Michael/OneDrive/Dropbox/Penn State University/Courses/Stat 484 R/EssentialR/Data"

#You should be able to fit a regression that mimics the plot in the spreadsheet. 
#What is the p-value for the slope in this regression?
model = lm(my.data2$Illiteracy ~ my.data2$Income)
summary(model)
#Answer: the p-value= 0.001505

